package com.njzscloud.common.gen.support;

import cn.hutool.core.util.StrUtil;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

@Setter
@ToString
@Accessors(chain = true)
public class Tpl {
    private String content;
    private String dir;
    private String filename;

    public String getContent() {
        return content == null ? "" : content;
    }

    public String getDir() {
        return StrUtil.isBlank(dir) ? "" : dir;
    }

    public String getFilename() {
        return StrUtil.isBlank(filename) ? "" : filename;
    }
}
